Create a managed balance refill policy
curl --request POST \
--url https://api.agg.market/execution/balance-refill-policies \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'x-app-id: <api-key>' \
--data '
{
"targetChainId": 123,
"minimumRaw": "<string>",
"refillAmountRaw": "<string>",
"targetTokenSymbol": "USDC",
"dailyCapRaw": "250000000",
"maxFeeRaw": "2000000"
}
'import requests
url = "https://api.agg.market/execution/balance-refill-policies"
payload = {
"targetChainId": 123,
"minimumRaw": "<string>",
"refillAmountRaw": "<string>",
"targetTokenSymbol": "USDC",
"dailyCapRaw": "250000000",
"maxFeeRaw": "2000000"
}
headers = {
"x-app-id": "<api-key>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'x-app-id': '<api-key>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
targetChainId: 123,
minimumRaw: '<string>',
refillAmountRaw: '<string>',
targetTokenSymbol: 'USDC',
dailyCapRaw: '250000000',
maxFeeRaw: '2000000'
})
};
fetch('https://api.agg.market/execution/balance-refill-policies', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"targetChainId": 123,
"targetTokenAddress": "<string>",
"targetTokenSymbol": "USDC",
"minimumRaw": "<string>",
"refillAmountRaw": "<string>",
"dailyCapRaw": "<string>",
"maxFeeRaw": "<string>",
"cooldownSeconds": 61,
"lastObservedRaw": "<string>",
"lastEvaluatedAt": "2023-11-07T05:31:56Z",
"nextEligibleAt": "2023-11-07T05:31:56Z",
"consentedAt": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"latestAttempt": {
"id": "<string>",
"policyId": "<string>",
"triggerBalanceRaw": "<string>",
"requestedDeliveryRaw": "<string>",
"sourceAmountRaw": "<string>",
"completedAmountRaw": "<string>",
"sourceChainId": 123,
"targetChainId": 123,
"feeRaw": "<string>",
"errorMessage": "<string>",
"startedAt": "2023-11-07T05:31:56Z",
"completedAt": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z"
}
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}Execution
Create a managed balance refill policy
POST
/
execution
/
balance-refill-policies
Create a managed balance refill policy
Authorizations
Your application ID. Required for all app-tier and user-tier routes.
JWT access token returned by POST /auth/verify. Required for user-tier routes.
Body
application/json
Pattern:
^[1-9][0-9]*$Pattern:
^[1-9][0-9]*$Available options:
USDC Daily refill limit in 6-decimal USD units. Defaults to $250.
Pattern:
^[1-9][0-9]*$Per-refill fee limit in 6-decimal USD units. Defaults to $2.
Pattern:
^[1-9][0-9]*$Response
201
Available options:
USDC Pattern:
^[1-9][0-9]*$Pattern:
^[1-9][0-9]*$Pattern:
^[1-9][0-9]*$Pattern:
^[1-9][0-9]*$Available options:
enabled, paused Required range:
x >= 60Pattern:
^[0-9]+$Show child attributes
Show child attributes
⌘I